View Single Post
Old 06-04-2011, 03:50 AM   #64
Jon N/A
Rookie
 
Join Date: Oct 2008
Location: Iran
Posts: 16
I'm trying to compile the source under Linux ubuntu 10.04 but the ./configure file doesn't work properly and due to that I can't proceed to the make command.
Here's the output:
Code:
jon@jon-desktop:~/Desktop/scummvm-1.2.0_fan_patch$ sudo ./configure
Running ScummVM configure...
Looking for C++ compiler... g++
Checking for compiler version... 4.4.3, ok
Checking for whether -Wglobal-constructors work... no
Checking endianness... little
Type with 1 byte... char
Type with 2 bytes... short
Type with 4 bytes... int
Compiling for x86... yes
Checking hosttype... linux-gnu
Alignment required... no
Checking whether to have a verbose build... no
Checking whether building plugins was requested... no
Checking for Ogg Vorbis... yes
Checking for Tremor... no (Ogg Vorbis/Tremor support is mutually exclusive)
Checking for FLAC >= 1.0.1... no
Checking for MAD... no
Checking for ALSA >= 0.9... no
Checking for SEQ MIDI... yes
Checking for zlib... no
Checking for libmpeg2 >= 0.3.2... no
Checking for libfluidsynth... no
Checking for readline... skipping (text console disabled)
Checking for nasm... not found
Building translation support... yes (with runtime language detection)
Backend... sdl, 16bit color, HQ scalers, MT-32 emu, Indeo3 decoder
Looking for sdl-config... none found!
What should I do?

EDIT: OK, According to this, I need to install libsdl1.2debian-all and libsdl1.2-dev.
The problem is, to install them I have to remove the ubuntu-desktop package! And i obviously don't want to do that
I see if I can find something.

Last edited by Jon N/A; 06-04-2011 at 04:02 AM.
Jon N/A is offline   you may: quote & reply,